﻿using Syncfusion.JavaScript.DataVisualization;
using Syncfusion.JavaScript.DataVisualization.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WebApplication1
{
    public partial class _Default : Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
              //Setting Range for PrimaryXAxis
            this.Chart1.PrimaryXAxis.Range.Min = new DateTime(2000, 6, 1);
            this.Chart1.PrimaryXAxis.Range.Max = new DateTime(2000, 6, 2);
           this.Chart1.PrimaryXAxis.Range.Interval = 2;


            List<DatetimeData> data = new List<DatetimeData>();

            data.Add(new DatetimeData(new DateTime(2000, 06, 1,0,6,0), 10));
            data.Add(new DatetimeData(new DateTime(2000, 06, 1,2, 6, 0), 30));
            data.Add(new DatetimeData(new DateTime(2000, 06, 1,4, 6, 0), 15));
            data.Add(new DatetimeData(new DateTime(2000, 06, 1,6, 6, 0), 65));
            data.Add(new DatetimeData(new DateTime(2000, 06, 1,8, 6, 0), 90));
            data.Add(new DatetimeData(new DateTime(2000, 06, 1,10, 6, 0), 85));
            data.Add(new DatetimeData(new DateTime(2000, 06, 1, 12, 6, 0), 10));
            data.Add(new DatetimeData(new DateTime(2000, 06, 1, 14, 6, 0), 30));
            data.Add(new DatetimeData(new DateTime(2000, 06, 1, 16, 6, 0), 15));
            data.Add(new DatetimeData(new DateTime(2000, 06, 1, 18, 6, 0), 65));
            data.Add(new DatetimeData(new DateTime(2000, 06, 1, 20, 6, 0), 90));
            data.Add(new DatetimeData(new DateTime(2000, 06, 1, 22, 6, 0), 85));

            //Binding Datasource to Chart
            this.Chart1.DataSource = data;
            this.Chart1.DataBind();
        }
    }
    [Serializable]
    public class DatetimeData
    {
        public DatetimeData(DateTime xval, double yvalue1)
        {
            this.Xvalue = xval;
            this.YValue1 = yvalue1;


        }
        public DateTime Xvalue
        {
            get;
            set;
        }
        public double YValue1
        {
            get;
            set;
        }
    }
}
   